<?php
namespace Teknisa\COC\Services;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO;
use Doctrine\DBAL\Connection;

class LogociaService{
	public function uploadLogo($photo, $extArq, $cdcia, $sgcia){
		$imgDir = "..\\..\\img";
		if( ! file_exists($imgDir)){
			mkdir($imgDir);
		}

		$logociaDir = $imgDir . "\\logocia";
		if( ! file_exists($logociaDir)){
			mkdir($logociaDir);
		}

		$path = $logociaDir . DIRECTORY_SEPARATOR . $cdcia . "_" . $sgcia . "." . $extArq;
		$photo = base64_decode(preg_replace('#^data:image/\w+;base64,#i', '', $photo));

		file_put_contents($path, $photo);

		$pathRel = "../img/logocia/" . $cdcia . "_" . $sgcia . "." . $extArq;
		return $pathRel;
	}

	public function limpaLogo($dslogocia) {
		if(file_exists($dslogocia)){
			unlink($dslogocia);
		}
	}
}